Bug 922397 - flterm-debuginfo-1.2-1 is empty
Summary: flterm-debuginfo-1.2-1 is empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flterm
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shakthi Kannan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DebugInfo
TreeView+ depends on / blocked
 
Reported: 2013-03-16 16:37 UTC by Ville Skyttä
Modified: 2013-09-23 00:12 UTC (History)
2 users (show)

Fixed In Version: flterm-1.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-19 02:02:34 UTC
Type: Bug


Attachments (Terms of Use)
Fix debuginfo (635 bytes, patch)
2013-03-16 16:37 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2013-03-16 16:37:06 UTC
Created attachment 711108 [details]
Fix debuginfo

flterm-debuginfo-1.2-1 is empty because of the -s compiler flag being used during build. Fix attached.

Comment 1 Shakthi Kannan 2013-04-22 09:50:00 UTC
With the attached patch, the build fails with:

+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id /home/shaks/rpmbuild/BUILD/milkymist-Release_1.2
extracting debug info from /home/shaks/rpmbuild/BUILDROOT/flterm-1.2-2.fc17.x86_64/usr/bin/flterm
*** ERROR: No build ID note found in /home/shaks/rpmbuild/BUILDROOT/flterm-1.2-2.fc17.x86_64/usr/bin/flterm
error: Bad exit status from /var/tmp/rpm-tmp.Wdj7pp (%install)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.Wdj7pp (%install)

Comment 2 Ville Skyttä 2013-05-03 14:31:23 UTC
Curious, maybe this fix triggers a bug in older clang then, don't know. Anyway the patched build succeeds fine in F-20/rawhide mock.

Comment 3 Fedora Update System 2013-09-10 09:40:18 UTC
flterm-1.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/flterm-1.2-3.fc19

Comment 4 Fedora Update System 2013-09-10 09:40:46 UTC
flterm-1.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/flterm-1.2-3.fc18

Comment 5 Fedora Update System 2013-09-10 09:41:05 UTC
flterm-1.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flterm-1.2-3.fc20

Comment 6 Fedora Update System 2013-09-10 16:22:13 UTC
Package flterm-1.2-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flterm-1.2-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16255/flterm-1.2-3.fc20
then log in and leave karma (feedback).

Comment 7 Fedora End Of Life 2013-09-16 17:06:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 8 Fedora Update System 2013-09-19 02:02:34 UTC
flterm-1.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-09-19 02:06:49 UTC
flterm-1.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-09-23 00:12:59 UTC
flterm-1.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.